| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
oyStruct_s.c File Reference
`#include "oyStruct_s.h"`
`#include "oyObject_s.h"`
`#include "oyranos_object_internal.h"`
`#include "oyranos_generic.h"`
`#include "oyCMMapi9_s.h"`
`#include "oyCMMapiFilters_s.h"`
`#include "oyranos_types.h"`
`#include "oyranos_cmm.h"`

## Functions
oyAlloc_f | oyStruct_GetAllocator (oyStruct_s *obj)
| get the memory allocator of a object More...
oyDeAlloc_f | oyStruct_GetDeAllocator (oyStruct_s *obj)
| get the memory allocator of a object More...
OYAPI oyPointer OYEXPORT | oyStruct_Allocate (oyStruct_s *st, size_t size)
| let a object allocate some memory More...
void | oyThreadLockingSet (oyStruct_LockCreate_f createLockFunc, oyLockRelease_f releaseLockFunc, oyLock_f lockFunc, oyUnLock_f unlockFunc)
| set locking functions for threaded applications More...
int | oyStruct_CheckType (oyStruct_s *obj, oyOBJECT_e type)
| check if the object is a class or is inherited of a class More...

## Detailed Description

[Template file inheritance graph] +– oyStruct_s.template.c

Oyranos is an open source Colour Management System

Copyright:
  2004-2012 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD - see: http://www.opensource.org/licenses/bsd-license.php

Date
  2012/10/08

## Function Documentation

OYAPI oyPointer OYEXPORT oyStruct_Allocate | ( | oyStruct_s * | st,
|  | size_t | size
| ) |  |

let a object allocate some memory

Function oyStruct_Allocate

Version
  Oyranos: 0.1.10

Since
  2008/12/00 (Oyranos: 0.1.10)

Date
  2008/12/00

int oyStruct_CheckType | ( | oyStruct_s * | obj,
|  | oyOBJECT_e | type
| ) |  |

check if the object is a class or is inherited of a class

Function oyStruct_CheckType

Version
  Oyranos: 0.3.0

Date
  2011/02/15

Since
  2011/02/02 (Oyranos: 0.3.0)

References oyObjectInfoStatic_s::inheritance, oyOBJECT_INFO_STATIC_S, oyOBJECT_OBJECT_S, and oyStruct_GetInfo().

oyAlloc_f oyStruct_GetAllocator | ( | oyStruct_s * | obj | ) |

get the memory allocator of a object

Function oyStruct_GetAllocator

Version
  Oyranos: 0.3.0

Date
  2011/01/30

Since
  2011/01/30 (Oyranos: 0.3.0)

oyDeAlloc_f oyStruct_GetDeAllocator | ( | oyStruct_s * | obj | ) |

get the memory allocator of a object

Function oyStruct_GetDeAllocator

Version
  Oyranos: 0.3.0

Date
  2011/01/30

Since
  2011/01/30 (Oyranos: 0.3.0)

void oyThreadLockingSet | ( | oyStruct_LockCreate_f | createLockFunc,
|  | oyLockRelease_f | releaseLockFunc,
|  | oyLock_f | lockFunc,
|  | oyUnLock_f | unlockFunc
| ) |  |

set locking functions for threaded applications

Function: oyThreadLockingSet

Since
  Oyranos: version 0.1.8

Date
  14 january 2008 (API 0.1.8)